@charset "utf-8";
img{
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
}
@font-face {
    font-family: 'budingti';
    src: url('../font/budingti.ttf') format('truetype');
 }
.startBox{
    width: 100vw;
    height: 100vh;
    background: url(http://icon.zhiding.cn/stor-age/special/dell_EMC202103/image/startBg.jpg) no-repeat bottom center;
    background-size: 100% 100%;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}
.startBox #startBtn{
    width: 100%;
    position: absolute;
    bottom: 0;
    display: none;
}
.startBox #startBtn img{
    width: 100%;
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
}

/* 游戏主体盒子 */
.gameWrap{
    width: 100vw;
    height: 100vh;
    background: url(http://icon.zhiding.cn/stor-age/special/dell_EMC202103/image/mainBg.jpg) no-repeat center center;
    background-size: 100% 100%;
    position: relative;
    overflow: hidden;
    opacity: 0;
}
/* 游戏分数 */
.gameWrap .gameScore{
    width: 3.5rem;
    height: 1.2rem;
    background: url(http://icon.zhiding.cn/stor-age/special/dell_EMC202103/image/scoreBg.png) no-repeat center center;
    background-size: 100% 100%;
    position: absolute;
    top: .3rem;
    left: .2rem;
    line-height: 1.2rem;
    font-size: .55rem;
    color: #fff;
    text-align: right;
    padding-right: .5rem;
    font-weight: bold;
    font-family: 'budingti';
}

/* 游戏时间 */
.gameWrap .gameProgress{
    width: 1rem;
    height: 1.2rem;
    position: absolute;
    top: .3rem;
    right: .2rem;
    line-height: 1.2rem;
    font-size: .55rem;
    color: #fff;
    font-weight: bold;
    font-family: 'budingti';
    display: none;
}

/* 游戏主体 */
.gameWrap .gameMain{
    width: 100%;
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    padding-bottom: 1.3rem;
}
.gameWrap .gameMain ul{
    font-size: 0;
    width: 100%;
}
.gameWrap .gameMain li{
    width: 33.33%;
    height: 2.727rem;
    display: inline-block;
    vertical-align: top;
    background: url(http://icon.zhiding.cn/stor-age/special/dell_EMC202103/image/hole.png) no-repeat bottom center;
    background-size: 95% auto;
    position: relative;
}

/* 老鼠盒子 */
.gameWrap .gameMain li .ratBox{
    position: absolute;
    bottom: 0;
    width: 100%;
    text-align: center;
    padding-bottom: .57rem;
    text-align: center;
}
.gameWrap .gameMain li .ratBox img{
    width: 1rem;
}
.gameWrap .gameMain li .ratBox .cssBoom{
    mix-blend-mode: lighten;
    width: 1.5rem;
}
.gameWrap .gameMain li .painText{
    font-size: .32rem;
    color: #fff;
    font-weight: bold;
    text-shadow: 2px 2px 3px #743e26;
    position: absolute;
    top: -25px;
    width: 100%;
    text-align: center;
    font-family: 'budingti';
}
.gameWrap .gameMain li .addScroeText{
    font-size: .46rem;
    color: #fff;
    font-weight: bold;
    text-shadow: 2px 2px 3px #743e26;
    position: absolute;
    top: 0.2rem;
    right: 0;
    font-family: 'budingti';
}
.gameWrap .gameMain li .ratHammer{
    position: absolute;
    right: 0;
    top: -90%;
    width: 1.3rem;
}
.gameWrap .gameMain li .ratHammer img{
    width: 100%;
}
.hammerAnimatal{
    animation-name: hammerAnimatal;
    animation-duration: .2s;
    animation-timing-function: linear;
}
@keyframes hammerAnimatal {
    0% {
        /* opacity: 1; */
        transform: rotate(0);
        -webkit-transform: rotate(0);
    }
    100% {
        /* opacity: 0; */
        transform: rotate(-25deg);
        -webkit-transform: rotate(-25deg);
        transform-origin: bottom right;
    }
}

/* 道具弹窗 */
.propPopup{
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: rgba(0,0,0,.5);
    display: none;
}
.propPopup .propMain{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    text-align: center;
}
.propPopup .propMain .propTxt img{
    width: 5rem;
}
.propPopup .propMain .propBox{
    margin: -1rem 0;
}
.propPopup .propMain .propBox img{
    width: 7rem;
}
.propPopup .propMain .propBtn{
    width: 3.5rem;
    height: 1rem;
    margin: 0 auto;
    background: url(http://icon.zhiding.cn/stor-age/special/dell_EMC202103/image/propBtn.png) no-repeat center center;
    background-size: 100% 100%;
    cursor: pointer;
    position: relative;
    z-index: 2;
}

.successPopup{
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    left: 0;
    background: rgba(0,0,0,.5);
    display: none;
}
.successPopup .successMain{
    width: 100%;
    height: 6.9rem;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    text-align: center;
    background: url(http://icon.zhiding.cn/stor-age/special/dell_EMC202103/image/successBox.png) no-repeat top center;
    background-size: 100% 100%;
    padding-top: 2rem;
    margin: auto;
}
.successPopup .successMain .closeSuccess{
    width: .75rem;
    height: .75rem;
    border-radius: 50%;
    overflow: hidden;
    background: url(http://icon.zhiding.cn/stor-age/special/dell_EMC202103/image/closeSuccess.png) no-repeat center center;
    background-size: 100% 100%;
    position: absolute;
    top: .2rem;
    right: 1rem;
    cursor: pointer;
    display: none;
}
.successPopup .successMain .successGoods{
    width: 100%;
    text-align: center;
}
.successPopup .successMain .successGoods img{
    width: 3.66rem;
}
.successBtn{
    width: 3.8rem;
    height: 1.1rem;
    background: url(http://icon.zhiding.cn/stor-age/special/dell_EMC202103/image/successBtn.png) no-repeat center center;
    background-size: 100% 100%;
    color: #333;
    font-weight: bold;
    font-size: .34rem;
    text-align: center;
    line-height: 1.2;
    padding-top: 8px;
    position: absolute;
    bottom: .3rem;
    left: 50%;
    transform: translateX(-50%);
}

.gameBoom{
    width: 100%;
    height: 100%;
    position: fixed;
    top: 30%;
    left: 0;
    right: 0;
    /* transform: translateX(-50%); */
    display: none;
}
.gameBoom img{
    width: 100%;
}
/* .aroundAnimal{
    animation: aroundAnimation 2s both;
    animation-duration: 2s;
}
@keyframes aroundAnimation{
    0%,
    100%,
    20%,
    50%,
    80% {
    transition-timing-function: cubic-bezier(0.215,.61,.355,1); 
    transform: translate3d(0,0,0);
    }
    40%,
    43%{
    transition-timing-function: cubic-bezier(0.755,0.50,0.855,0.060);
    transform: translate3d(-20px,0,0);
    }
    70%{
    transition-timing-function: cubic-bezier(0.755,0.050,0.855,0.060);
    transform: translate3d(-10px,0px,0);
    }
    90%{
    transform: translate3d(20px,0,0);
    }
} */

.pageLoad {
    opacity: 1;
    display: block;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 999;
    background: #226cc0;
}

.pageLoad .loadBox {
    height: 1.5rem;
    position: absolute;
    left: 0;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    margin: auto;
}

.pageLoad .loadBox .loadTit {
    font-size: .16rem;
    color: #fff;
    text-align: center;
}

.pageLoad .loadBox .jindu {
    box-sizing: content-box;
    width: 2.1rem;
    height: 0.15rem;
    background: #7aa8fe;
    margin: 0 auto;
    border-radius: 0.25rem;
    border: 0.02rem solid #7aa8fe;
    margin-top: 0.35rem;
    position: relative;
    box-shadow: 0px 0.05rem 0.1rem rgba(0, 0, 0, 0.9);
}

.pageLoad .loadBox .jindu_top {
    width: 0;
    height: 0.15rem;
    border-radius: 0.25rem;
    background-image: linear-gradient(to bottom, #fd5f5c, #e837a0);
    position: absolute;
    left: 0;
}

.pageLoad .loadBox .jindu .cirl {
    width: 0.28rem;
    height: .28rem;
    position: absolute;
    background: #7aa8fe;
    border-radius: 50%;
    left: 0;
    top: -0.05rem;
    border-radius: 0.3rem;
    border: 0.02rem solid #ffecb1;
    transform: translateX(-0.14rem);
}

.pageLoad .loadBox .jindu span {
    font-size: 0.14rem;
    color: #7aa8fe;
    position: absolute;
    top: 0.25rem;
    left: -0.2rem;
    white-space: nowrap;
    transform: translateX(-0.04rem);
}

.startBox .loadBox{
    width: 100%;
    position: absolute;
    bottom: 1.5rem;
    height: 1.5rem;
    margin: auto;
}
.startBox .loadBox .loadTit {
    font-size: .24rem;
    color: #fff;
    text-align: center;
}
.startBox .loadBox .jindu {
    box-sizing: content-box;
    width: 3rem;
    height: 0.2rem;
    background: #7aa8fe;
    margin: 0 auto;
    border-radius: 0.25rem;
    border: 0.02rem solid #7aa8fe;
    margin-top: 0.35rem;
    position: relative;
    box-shadow: 0px 0.05rem 0.1rem rgba(0, 0, 0, 0.9);
}

.startBox .loadBox .jindu_top {
    width: 0;
    height: 0.15rem;
    border-radius: 0.25rem;
    background-image: linear-gradient(to bottom, #fd5f5c, #e837a0);
    position: absolute;
    left: 0;
}

.startBox .loadBox .jindu .cirl {
    width: 0.35rem;
    height: .35rem;
    position: absolute;
    background: #7aa8fe;
    border-radius: 50%;
    left: 0;
    top: -0.05rem;
    border-radius: 0.3rem;
    border: 0.02rem solid #ffecb1;
    transform: translateX(-0.14rem);
}

.startBox .loadBox .jindu span {
    font-size: 0.14rem;
    color: #fff;
    position: absolute;
    top: 0;
    left: 50%;
    white-space: nowrap;
    transform: translateX(-50%);
    line-height: 1;
}